%define upstream_name MooseX-Util
%define upstream_version 0.006

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Moose::Util extensions
License:	LGPLv2
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(aliased)
BuildRequires:	perl(autobox::Core)
BuildRequires:	perl(MooseX::AttributeShortcuts)
BuildRequires:	perl(MooseX::TraitFor::Meta::Class::BetterAnonClassNames)
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Test::CheckDeps)
BuildRequires:	perl(Test::Moose::More)
BuildRequires:	perl(Test::Requires)

BuildArch:	noarch

%description
This is a utility module that handles all of the same functions that
Moose::Util handles. In fact, most of the functions exported by this
package are simply re-exports from Moose::Util, so you're recommended to
read the documentation of that module for a comprehensive view.

However.

We've reimplemented a number of the functions our parent provides, for a
variety of reasons.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.6.0-7.mga10
+ Revision: 2207808
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.6.0-6.mga9
+ Revision: 1817240
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-5.mga8
+ Revision: 1495691
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.6.0-4.mga7
+ Revision: 1269736
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-3.mga6
+ Revision: 1030712
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.6.0-2.mga6
+ Revision: 966612
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.6.0-1.mga6
+ Revision: 846201
- update to 0.006

* Sat Jun 27 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 845965
- update to 0.005

* Sat Oct 18 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 787968
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 745452
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri May 23 2014 sander85 <sander85> 0.3.0-1.mga5
+ Revision: 625161
- update to 0.003

* Fri May 02 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 619497
- imported package perl-MooseX-Util

